import React from 'react'
import { storiesOf } from '@storybook/react'

import DagbladetFooter from '../components/footer/DagbladetFooter'
import DagbladetHeader from '../components/header/DagbladetHeader'

export default () => {
	storiesOf('Dagbladet', module)
		.add('DagbladetFooter, ', () => (
			<DagbladetFooter
				assignmentEditor={{ email: 'ola.nordmann@aller.com', name: 'Ola Nordmann' }}
			/>
		))
		.add('DagbladetHeader', () => (
			<DagbladetHeader preventWeatherUpdate displayDropdownsInitially />
		))
		.add('DagbladetHeader, with user ', () => (
			<DagbladetHeader
				user={{ user_id: 'testUserId', name: "User's Test Name" }}
				preventWeatherUpdate
				displayDropdownsInitially
			/>
		))
}
